use crate::cli::prelude::*;

#[derive(Subcommand)]
pub enum Command {
    Show,
}

impl Command {
    pub async fn exec(&self, tasks: SharedTasks) -> Result<()> {
        match self {
            Command::Show => self.show().await,
        }
    }

    pub async fn show(&self) -> Result<()> {}
}

#[derive(Parser)]
pub struct MeArgs {}

impl MeArgs {
    pub async fn me(&self, tasks: SharedTasks) -> Result<()> {
        println!("{:#?}", tasks.gitlab()?.me().await?);
        Ok(())
    }
}
